
@echo off

cls
echo. ******************************************************
echo. *               Pysycache installation               *
echo. ******************************************************

set PREFIX="C:\Program Files\Pysycache"
set SCOREDIR="C:\Program Files\Pysycache\games"


rem #################################################################
rem # DON'T EDIT AFTER THESE LINES
rem #################################################################


rem if [ $* ]
rem then PREFIX=$*
rem fi
echo. 
echo. Used PREFIX for installation is :  %PREFIX%


set BINDIR=%PREFIX%\games
set DOCDIR=%PREFIX%\share\doc\pysycache
set EXECDIR=%PREFIX%\bin
set MANDIR=%PREFIX%\man\man6
set SHAREDIR=%PREFIX%\share\pysycache


rem #----------------------- creation des repertoires ---------------------------

echo. 
echo. Making directories for Pysycache -------------------------------------------
mkdir %BINDIR%
mkdir %DOCDIR%
mkdir %MANDIR%
mkdir %SHAREDIR%


echo. 
echo. Copy of required files -----------------------------------------------------
xcopy  .\pysycache %SHAREDIR% /s


echo. 
echo. Copy of documentation ------------------------------------------------------
xcopy .\pysycache-doc %DOCDIR% /s



echo.
echo. Copy of the script-fu for Gimp ---------------------------------------------
xcopy  .\windows\*.scm %DOCDIR%\Script-Fu\scripts /s


echo. 
echo. Copy of the configuration file ---------------------------------------------
mkdir %PREFIX%\etc\pysycache
mkdir %SCOREDIR%
mkdir %PREFIX%\pysycache\users
xcopy  .\windows\etc\* %PREFIX%\etc /s




pause
